//*******************************************************
//
//	KTR-10
//
//	動作設定
//
//	2023.6.13	KAWAKAMI Yukio
//*******************************************************
#ifndef defined_CONFIG_H
#define defined_CONFIG_H

#define EEPROM_CONFIG_ADRS  4

#define CONFIG_MARK 0xDB56
typedef struct S_CONFIG {
  uint16_t  flags;
  int16_t   pll_offset;
  uint32_t  freq;
  int32_t   if_freq;
  uint16_t  ptt_volt_high;
  uint16_t  ptt_volt_low;
  uint8_t   sqlch_level;
  uint8_t   sqlch_delay;
  uint8_t   rs9_level;
  uint32_t  yobi1;
  uint32_t  yobi2;
  uint16_t  mark;
} CONFIG;

void load_conf(CONFIG *conf);
void save_conf(CONFIG *conf);
void init_conf(CONFIG *conf);

#endif  // defined_CONFIG_H
